For the complete documentation index, see llms.txt. This page is also available as Markdown.

Payout Status

How to confirm the status of your payout

This endpoint is used to query the status of a payout

GET https://exchanger-api.fuspay.finance/api/v1/no-auth/PartnerP2P/GetPayout?intrapay_merchant_id=intra_merchant_954512&currency=GHS&withdrawal_reference=P17004196996oRbpiHxy/

Transfer to a bank account or mobile money

Query Parameters

Name
Type
Description

intrapay_merchant_id*

String

Your intrapay merchant ID

currency*

String

The currency of the payout request

withdrawal_reference*

String

The reference of the withdrawal generated on your system

Headers

Name
Type
Description

Authorization*

String

partners public key

The below is a successful payout response

{
  withdrawal_reference: 'P17005609380KKXXYYsS',
  amount: 130,
  currency: 'GHS',
  status: 'COMPLETED',
  channel: 'MOMO',
  type: 'CREDIT',
  customer: { accountName: 'Enoch Peprah', accountNumber: '0542314924' },
  network: 'MTN',
  created_at: '2023-11-21T10:03:00.568Z',
  updated_at: '2023-11-21T10:03:00.568Z'
}

for failed payouts

{
  withdrawal_reference: 'P17004196996oRbpiHxy',
  amount: undefined,
  currency: undefined,
  status: undefined,
  channel: undefined,
  type: undefined,
  customer: undefined,
  network: undefined,
  created_at: undefined,
  updated_at: undefined
}

Last updated